#ifndef ATL_cGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,320,480,720,800,880,1040,1200,1280,1360,1440
 * N : 25,320,480,720,800,880,1040,1200,1280,1360,1440
 * NB : 12,12,12,16,28,36,24,24,24,40,136
 */
#define ATL_cGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 600) (nb_) = 12; \
   else if ((n_) < 760) (nb_) = 16; \
   else if ((n_) < 840) (nb_) = 28; \
   else if ((n_) < 960) (nb_) = 36; \
   else if ((n_) < 1320) (nb_) = 24; \
   else if ((n_) < 1400) (nb_) = 40; \
   else (nb_) = 136; \
}


#endif    /* end ifndef ATL_cGetNB_geqrf */
